---
url: https://developers.zarv.com/api/id-v3/datasets/company-profile-2-0.md
description: >-
  Zarv ID v3: formato do módulo profile do dataset company-profile-2.0. Cadastro
  de um CNPJ na Receita Federal: existencia, nomes, situacao cadastral e seu…
---

# profile 2.0 · Empresa

Cadastro de um CNPJ na Receita Federal: existencia, nomes, situacao cadastral e seu motivo, natureza juridica, capital declarado, atividades e historico de mudancas. Mais os telefones, e-mails e enderecos associados ao CNPJ, com quantos outros documentos usam cada um.

|          |                                                |
| -------- | ---------------------------------------------- |
| Entidade | Empresa (CNPJ, `entity: pj`)                   |
| Módulo   | `profile`                                      |
| Versão   | `2.0` (mais recente)                           |
| Dataset  | `company-profile-2.0`                          |
| Execução | Sempre roda: é o módulo que localiza o titular |

Este é o formato do corpo de [`GET /api/v3/enrichments/{id}/modules/profile`](/api/id-v3/getEnrichmentModule), a rota que a `url` do módulo, na raiz do enriquecimento, aponta. Os campos são publicados como o dataset os entrega: um campo ausente significa que o dado não foi obtido, não que o valor é falso ou zero. Os caminhos abaixo são relativos ao corpo da resposta.

## Envelope

| Campo     | Tipo     | Observação                   |
| --------- | -------- | ---------------------------- |
| `dataset` | `string` | sempre `company-profile-2.0` |
| `module`  | `string` | sempre `profile`             |
| `profile` | `object` | os dados do módulo (abaixo)  |

## Dados

### `identification`

| Campo                             | Tipo      | Observação |
| --------------------------------- | --------- | ---------- |
| `profile.exists`                  | `boolean` |            |
| `profile.officialName`            | `string`  |            |
| `profile.tradeName`               | `string`  |            |
| `profile.foundedAt`               | `string`  | date       |
| `profile.isHeadquarter`           | `boolean` |            |
| `profile.headquarterState`        | `string`  |            |
| `profile.isConglomerate`          | `boolean` |            |
| `profile.aliases.officialName`    | `string`  |            |
| `profile.aliases.tradeName`       | `string`  |            |
| `profile.uniqueness.name`         | `number`  |            |
| `profile.uniqueness.officialName` | `number`  |            |
| `profile.uniqueness.tradeName`    | `number`  |            |

### `taxStatus`

| Campo                            | Tipo      | Observação |
| -------------------------------- | --------- | ---------- |
| `profile.taxId.number`           | `string`  |            |
| `profile.taxId.status`           | `string`  |            |
| `profile.taxId.statusReason`     | `string`  |            |
| `profile.taxId.statusDate`       | `string`  | date       |
| `profile.taxId.registrationDate` | `string`  | date       |
| `profile.taxId.origin`           | `string`  |            |
| `profile.taxId.country`          | `string`  |            |
| `profile.taxId.regime`           | `string`  |            |
| `profile.taxId.companyType`      | `string`  |            |
| `profile.taxId.simplesOptant`    | `boolean` |            |
| `profile.specialSituation`       | `string`  |            |

### `constitution`

| Campo                                      | Tipo     | Observação |
| ------------------------------------------ | -------- | ---------- |
| `profile.legalNature.code`                 | `string` |            |
| `profile.legalNature.activity`             | `string` |            |
| `profile.capital.value`                    | `number` |            |
| `profile.capital.description`              | `string` |            |
| `profile.registration.nire`                | `string` |            |
| `profile.registration.headquartersCapital` | `number` |            |
| `profile.registration.lastCaptureDate`     | `string` | date       |

### `activities`

| Campo                           | Tipo            | Observação |
| ------------------------------- | --------------- | ---------- |
| `profile.activities`            | `array<object>` |            |
| `profile.activities[].activity` | `string`        |            |
| `profile.activities[].class`    | `string`        |            |
| `profile.activities[].code`     | `string`        |            |
| `profile.activities[].division` | `string`        |            |
| `profile.activities[].group`    | `string`        |            |
| `profile.activities[].isMain`   | `boolean`       |            |

### `foreignTrade`

| Campo                             | Tipo     | Observação |
| --------------------------------- | -------- | ---------- |
| `profile.foreignTrade.code`       | `string` |            |
| `profile.foreignTrade.lastUpdate` | `string` | date       |

### `history`

| Campo                                   | Tipo            | Observação |
| --------------------------------------- | --------------- | ---------- |
| `profile.history.tradeNameChanged`      | `boolean`       |            |
| `profile.history.taxRegimeChanged`      | `boolean`       |            |
| `profile.history.tradeName`             | `array<object>` |            |
| `profile.history.tradeName[].endDate`   | `string`        | date       |
| `profile.history.tradeName[].startDate` | `string`        | date       |
| `profile.history.tradeName[].value`     | `string`        |            |
| `profile.history.taxRegime`             | `array<object>` |            |
| `profile.history.taxRegime[].endDate`   | `string`        | date       |
| `profile.history.taxRegime[].startDate` | `string`        | date       |
| `profile.history.taxRegime[].value`     | `string`        |            |

### `record`

| Campo                      | Tipo     | Observação |
| -------------------------- | -------- | ---------- |
| `profile.record.createdAt` | `string` | date       |
| `profile.record.updatedAt` | `string` | date       |

### `contactAddresses`

| Campo                                                   | Tipo            | Observação |
| ------------------------------------------------------- | --------------- | ---------- |
| `profile.contacts.addresses.oldestPassageAt`            | `string`        | date       |
| `profile.contacts.addresses.newestPassageAt`            | `string`        | date       |
| `profile.contacts.addresses.items`                      | `array<object>` |            |
| `profile.contacts.addresses.items[].active`             | `boolean`       |            |
| `profile.contacts.addresses.items[].city`               | `string`        |            |
| `profile.contacts.addresses.items[].complement`         | `string`        |            |
| `profile.contacts.addresses.items[].country`            | `string`        |            |
| `profile.contacts.addresses.items[].entitiesAtAddress`  | `integer`       |            |
| `profile.contacts.addresses.items[].firstSeenAt`        | `string`        | date       |
| `profile.contacts.addresses.items[].lastSeenAt`         | `string`        | date       |
| `profile.contacts.addresses.items[].likelyAccountant`   | `boolean`       |            |
| `profile.contacts.addresses.items[].main`               | `boolean`       |            |
| `profile.contacts.addresses.items[].mainForOtherEntity` | `boolean`       |            |
| `profile.contacts.addresses.items[].neighborhood`       | `string`        |            |
| `profile.contacts.addresses.items[].number`             | `string`        |            |
| `profile.contacts.addresses.items[].official`           | `boolean`       |            |
| `profile.contacts.addresses.items[].state`              | `string`        |            |
| `profile.contacts.addresses.items[].street`             | `string`        |            |
| `profile.contacts.addresses.items[].type`               | `string`        |            |
| `profile.contacts.addresses.items[].zipCode`            | `string`        |            |

### `contactPhones`

| Campo                                                | Tipo            | Observação |
| ---------------------------------------------------- | --------------- | ---------- |
| `profile.contacts.phones.oldestPassageAt`            | `string`        | date       |
| `profile.contacts.phones.newestPassageAt`            | `string`        | date       |
| `profile.contacts.phones.items`                      | `array<object>` |            |
| `profile.contacts.phones.items[].active`             | `boolean`       |            |
| `profile.contacts.phones.items[].areaCode`           | `string`        |            |
| `profile.contacts.phones.items[].carrier`            | `string`        |            |
| `profile.contacts.phones.items[].countryCode`        | `string`        |            |
| `profile.contacts.phones.items[].doNotCall`          | `boolean`       |            |
| `profile.contacts.phones.items[].entitiesWithPhone`  | `integer`       |            |
| `profile.contacts.phones.items[].firstSeenAt`        | `string`        | date       |
| `profile.contacts.phones.items[].lastSeenAt`         | `string`        | date       |
| `profile.contacts.phones.items[].likelyAccountant`   | `boolean`       |            |
| `profile.contacts.phones.items[].main`               | `boolean`       |            |
| `profile.contacts.phones.items[].mainForOtherEntity` | `boolean`       |            |
| `profile.contacts.phones.items[].number`             | `string`        |            |
| `profile.contacts.phones.items[].official`           | `boolean`       |            |
| `profile.contacts.phones.items[].planType`           | `string`        |            |
| `profile.contacts.phones.items[].type`               | `string`        |            |

### `contactEmails`

| Campo                                                | Tipo            | Observação |
| ---------------------------------------------------- | --------------- | ---------- |
| `profile.contacts.emails.oldestPassageAt`            | `string`        | date       |
| `profile.contacts.emails.newestPassageAt`            | `string`        | date       |
| `profile.contacts.emails.items`                      | `array<object>` |            |
| `profile.contacts.emails.items[].active`             | `boolean`       |            |
| `profile.contacts.emails.items[].address`            | `string`        |            |
| `profile.contacts.emails.items[].domain`             | `string`        |            |
| `profile.contacts.emails.items[].entitiesWithEmail`  | `integer`       |            |
| `profile.contacts.emails.items[].firstSeenAt`        | `string`        | date       |
| `profile.contacts.emails.items[].lastSeenAt`         | `string`        | date       |
| `profile.contacts.emails.items[].likelyAccountant`   | `boolean`       |            |
| `profile.contacts.emails.items[].main`               | `boolean`       |            |
| `profile.contacts.emails.items[].mainForOtherEntity` | `boolean`       |            |
| `profile.contacts.emails.items[].official`           | `boolean`       |            |
| `profile.contacts.emails.items[].type`               | `string`        |            |
| `profile.contacts.emails.items[].validationStatus`   | `string`        |            |

### `timeline`

| Campo                          | Tipo            | Observação |
| ------------------------------ | --------------- | ---------- |
| `profile.timeline`             | `array<object>` |            |
| `profile.timeline[].amountBrl` | `number`        |            |
| `profile.timeline[].basis`     | `string`        |            |
| `profile.timeline[].date`      | `string`        |            |
| `profile.timeline[].detail`    | `string`        |            |
| `profile.timeline[].event`     | `string`        |            |
| `profile.timeline[].precision` | `string`        |            |
| `profile.timeline[].ref`       | `string`        |            |
| `profile.timeline[].source`    | `string`        |            |
